CIMAG(3)

NAME
cimag, cimagf, cimagl - complex imaginary functions

SYNOPSIS
#include <complex.h>
double
cimag(double complex z);
float
cimagf(float complex z);
long double
cimagl(long double complex z);

DESCRIPTION
These functions compute the imaginary part of z.

RETURN VALUES
These functions return the imaginary part value (as a real).

ERRORS
No errors are defined.

APPLICATION USAGE
For a variable z of complex type:

    z = creal(z) + cimag(z)*I

SEE ALSO
carg(3), conj(3), cproj(3), creal(3), p1003.1-2001 <complex.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .